using System;
class Program
{
    static void Main(string[] args)
    {
        int n = int.Parse(Console.ReadLine());
        int[] a = new int[n];
        double[] p = new double[n];
        for (int i = 0; i < n; i++)
        {
            var ulaz = Console.ReadLine().Split();
            a[i] = int.Parse(ulaz[0]);
            p[i] = double.Parse(ulaz[1]);
        }
        long[] s = new long[n];
        double[] k = new double[n];
        for (int i = 0; i < n; i++)
        {
            for (int j = 0; j < n; j++)
            {
                if (p[i] <= p[j]) s[i] += a[j];
            }
            k[i] = s[i] * (p[i] / 100);
        }
        double max = k[0];
        for (int i = 1; i < n; i++)
        {
            if (k[i] > max) max = k[i];
        }
        Console.WriteLine(max);
    }
}